View Issue Details

IDProjectCategoryView StatusLast Update
0000028SOGoWeb Calendarpublic2010-02-12 12:28
Reporterstepmuel Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAppleOSMac OS X 
Product Version1.0.1 
Fixed in Version1.2.1 
Summary0000028: several bugs in appointment display
Description

There are some bugs in displaying the boxes representing the appointments:

  • In Safari 4.0.1 (Mac), the vertical alignment to the numbers representing the time is somehow shifted
  • In Safari and Firefox 3.0.6 (Mac), an appointment of 10 minutes duration gets a border of 3 pixels on top, but none at the bottom (instead of 1px all around)

Furthermore, I dont get how the height of 167 pixels inside an hour box is ment to get divided into the 4 typical time slices with 1px spacing below. I would prefere 175 pixels, match the hour to the center of a pixel and begin/end drawing the box the pixel before the match (so it leaves one empty line between). or 177 pixels with simply one pixel below and above empty (with would look good too; even if the hour-lines dont summ up to the duration.)

Additional Information

Screenshots in the attachement. If someone doesn't get my 175px idea let me know; I can draw a picture too.

TagsNo tags attached.

Activities

2009-06-18 11:02

 

sogo_calendarbug.png (21,255 bytes)   
sogo_calendarbug.png (21,255 bytes)   
francis

francis

2009-08-10 16:23

administrator   ~0000072

The glitch with short events (less than 15 minutes) is fixed.

wsourdeau

wsourdeau

2010-02-12 12:26

viewer   ~0000544

Everything else fixed in 30fcffc74da94912adcc8d3ae28ec9ccea63d320. Please retry with nightlies.

Issue History

Date Modified Username Field Change
2009-06-18 11:02 stepmuel New Issue
2009-06-18 11:02 stepmuel File Added: sogo_calendarbug.png
2009-07-09 09:30 francis OS => Mac OS X
2009-07-09 09:30 francis Platform => Apple
2009-08-10 16:23 francis Note Added: 0000072
2010-02-12 12:26 wsourdeau Note Added: 0000544
2010-02-12 12:26 wsourdeau Status new => resolved
2010-02-12 12:26 wsourdeau Resolution open => fixed
2010-02-12 12:26 wsourdeau Assigned To => wsourdeau
2010-02-12 12:28 francis Fixed in Version => 1.2.1